Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.delegation.taxonomy
Class ParentedTaxonomyBuilder

    java.lang.Object
      com.bea.p13n.delegation.taxonomy.ParentedTaxonomyBuilder

All Implemented Interfaces
  TaxonomyBuilder, Serializable

Direct Known Subclasses:
  AdContentProviderTaxonomy, AssignedItemsTaxonomy, AssignedItemTaxonomy, AtnSecurityProviderTaxonomy, AuthenticationProvidersTaxonomy, AuthenticationProviderTaxonomy, BookDefinitionTaxonomy, BookInstanceTaxonomy, CampaignTaxonomy, CheckedOutItemsTaxonomy, CheckedOutItemTaxonomy, CommunitiesTaxonomy, CommunitiesTemplatesTaxonomy, ContentSelectorTaxonomy, com.bea.portal.tools.da.taxonomy.portal.DesktopTaxonomy, DesktopTemplatesTaxonomy, GroupTaxonomy, LayoutTaxonomy, LibraryPortletInstancesTaxonomy, LibraryTaxonomy, LookAndFeelTaxonomy, MenuTaxonomy, NodeParentTaxonomy, P13nCacheTaxonomy, PageInstanceTaxonomy, PageTaxonomy, PaginationElementTaxonomyBuilder, PlaceholderTaxonomy, PortalsTaxonomy, PortalTaxonomy, PortalTemplatesTaxonomy, PortletCategoryTaxonomy, PortletInstanceTaxonomy, PortletLibraryInstanceTaxonomy, PortletTaxonomy, ProducerTaxonomy, PropertyAdapterTaxonomy, PropertyTaxonomy, QueryDefinitionTaxonomy, RoleMappersTaxonomy, RoleProviderTaxonomy, RoleSecurityProviderTaxonomy, RuleTaxonomy, ScenarioTaxonomy, SegmentTaxonomy, ShellTaxonomy, ThemeTaxonomy, ToolsTreeNodeTaxonomyBuilder, TypeTaxonomy, VisitorRoleTaxonomy, WorkflowsFolderTaxonomy, WorkflowTaxonomy

    public abstract class ParentedTaxonomyBuilder

extends Object
implements TaxonomyBuilder

A `TaxonomyBuilder` that depends on a parent `TaxonomyBuilder` for a portion of its overall taxonomy, usually due to a heirarchical relationship between resources.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.delegation.taxonomy.TaxonomyBuilder
`TAXONOMY_DELIMITER`

Constructor Summary
`ParentedTaxonomyBuilder(TaxonomyBuilder parentBuilder)`

Method Summary
`StringBuilder` | `buildTaxonomy()` Implementation of buildTaxonomy that prepends the parent taxonomy, with a resource id delimiter, to the leaf taxonomy.
`protected abstract String` | `getLeafTaxonomy()` Method that individual `ParentedTaxonomyBuilder` implementations implement to provide the leaf portion of their taxonomy, which will in most cases be directed derived from the resource they represent.
`protected StringBuilder` | `getParentTaxonomy()` Accessor for the parent portion of the taxonomy, available only to specializations of this class.
`int` | `getTaxonomyLevel()` Returns the taxonomy depth for a given taxonomy
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParentedTaxonomyBuilder

    public ParentedTaxonomyBuilder(TaxonomyBuilder parentBuilder)

Method Detail

### getParentTaxonomy

    protected StringBuilder getParentTaxonomy()

  Accessor for the parent portion of the taxonomy, available only to specializations of this class.

  Returns

### buildTaxonomy

    public StringBuilder buildTaxonomy()

  Implementation of buildTaxonomy that prepends the parent taxonomy, with a resource id delimiter, to the leaf taxonomy.

  Specified by:
    `buildTaxonomy` in interface `TaxonomyBuilder`
  Returns

### getLeafTaxonomy

    protected abstract String getLeafTaxonomy()

  Method that individual `ParentedTaxonomyBuilder` implementations implement to provide the leaf portion of their taxonomy, which will in most cases be directed derived from the resource they represent.

  Returns

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTaxonomyLevel

    public int getTaxonomyLevel()

  Description copied from interface: `TaxonomyBuilder`
  Returns the taxonomy depth for a given taxonomy

  Specified by:
    `getTaxonomyLevel` in interface `TaxonomyBuilder`
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved